package com.ximai.mes.pro.domain.prototypeRequest;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 打样申请工序工装夹具对象 pro_prototype_request_process_tool
 *
 * @author generator
 * @date 2024-01-27
 */
public class ProPrototypeRequestProcessTool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId
    private Long prototypeRequestProcessToolId;

    /** 打样申请单ID */
    private Long prototypeRequestId;

    /** 打样申请工序ID */
    private Long prototypeRequestProcessId;

    /** 检验项ID */
    @Excel(name = "检验项ID")
    private Long toolId;

    /** 要求数量 */
    @Excel(name = "要求数量")
    private BigDecimal quantity;

    public void setPrototypeRequestProcessToolId(Long prototypeRequestProcessToolId)
    {
        this.prototypeRequestProcessToolId = prototypeRequestProcessToolId;
    }

    public Long getPrototypeRequestProcessToolId()
    {
        return prototypeRequestProcessToolId;
    }
    public void setPrototypeRequestId(Long prototypeRequestId)
    {
        this.prototypeRequestId = prototypeRequestId;
    }

    public Long getPrototypeRequestId()
    {
        return prototypeRequestId;
    }
    public void setPrototypeRequestProcessId(Long prototypeRequestProcessId)
    {
        this.prototypeRequestProcessId = prototypeRequestProcessId;
    }

    public Long getPrototypeRequestProcessId()
    {
        return prototypeRequestProcessId;
    }
    public void setToolId(Long toolId)
    {
        this.toolId = toolId;
    }

    public Long getToolId()
    {
        return toolId;
    }
    public void setQuantity(BigDecimal quantity)
    {
        this.quantity = quantity;
    }

    public BigDecimal getQuantity()
    {
        return quantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("prototypeRequestProcessToolId", getPrototypeRequestProcessToolId())
            .append("prototypeRequestId", getPrototypeRequestId())
            .append("prototypeRequestProcessId", getPrototypeRequestProcessId())
            .append("toolId", getToolId())
            .append("quantity", getQuantity())
            .append("remark", getRemark())
            .toString();
    }
}
